using System;
using Microsoft.AspNetCore.Mvc;
using System.ComponentModel.DataAnnotations;


namespace MeteoWebApp.Models
{
    public class StationData
    {
		[BindProperty(Name = "api_key")]
		public Guid ApiKey { get; set; }
		[BindProperty(Name = "temperature")]
		public float Temperature { get; set; }
		[BindProperty(Name = "dew_point")]
		public float DewPoint { get; set; }
		[BindProperty(Name = "temperature_feels_like")]
		public float TemperatureFeelsLike { get; set; }
		[BindProperty(Name = "humidity")]
		public float Humidity { get; set; }
		[BindProperty(Name = "pressure")]
		public float Pressure { get; set; }
		[BindProperty(Name = "sea_level_pressure")]
		public float SeaLevelPressure { get; set; }
		[BindProperty(Name = "wind_speed")]
		public float WindSpeed { get; set; }
		[BindProperty(Name = "wind_angle")]
		public float WindAngle { get; set; }
		[BindProperty(Name = "wind_angle_str")]
		[StringLength(3)]
		public string WindAngleStr { get; set; }
		[BindProperty(Name = "rain_amount")]
		public float RainAmount { get; set; }
		[BindProperty(Name = "uv_index")]
		public float UvIndex { get; set; }
		[BindProperty(Name = "soil_temp_depth_1")]
		[StringLength(7)]
		public string SoilTempDepth1 { get; set; }
		[BindProperty(Name = "soil_temp_1")]
		public float SoilTemp1 { get; set; }
		[BindProperty(Name = "soil_temp_depth_2")]
		[StringLength(7)]
		public string SoilTempDepth2 { get; set; }
		[BindProperty(Name = "soil_temp_2")]
		public float SoilTemp2 { get; set; }
		[BindProperty(Name = "soil_temp_depth_3")]
		[StringLength(7)]
		public string SoilTempDepth3 { get; set; }
		[BindProperty(Name = "soil_temp_3")]
		public float SoilTemp3 { get; set; }
		[BindProperty(Name = "soil_moisture_depth_1")]
		[StringLength(7)]
		public string SoilMoistureDepth1 { get; set;}
		[BindProperty(Name = "soil_moisture_1")]
		public float SoilMoisture1 { get; set; }
		[BindProperty(Name = "soil_moisture_depth_2")]
		[StringLength(7)]
		public string SoilMoistureDepth2 { get; set; }
		[BindProperty(Name = "soil_moisture_2")]
		public float SoilMoisture2 { get; set; }
		[BindProperty(Name = "soil_moisture_depth_3")]
		[StringLength(7)]
		public string SoilMoistureDepth3 { get; set; }
		[BindProperty(Name = "soil_moisture_3")]
		public float SoilMoisture3 { get; set; }
		[BindProperty(Name = "battery_voltage")]
		public float BatteryVoltage { get; set; }
    }
}
